locked
Google Play services (Froyo) Rev 10 causes compile error RRS feed

  • Question

  • User9276 posted

    I uses Google Play services (Froyo) Rev 10 in may app, it causes compile error. Error shows as below, but it include many broken Japanese character , so it can not understand what it says.

    Errors:
    
    /Users/myaccount/Projects/MySolution/MyProject/MyProject.Droid/MyProject.Droid.csproj (Build) ->
    /Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets (_CompileJava target) ->
    
        /Library/Frameworks/Mono.framework/External/xbuild/Xamarin/Android/Xamarin.Android.Common.targets: error : Tool exited with code: 1. Output:  obj/Debug/android/src/mono/com/google/android/gms/maps/GoogleMap_OnMyLocationButtonClickListenerImplementor.java:8: ?V???{???????????????????B
    ?V???{??: ?N???X OnMyLocationButtonClickListener
    ??    : com.google.android.gms.maps.GoogleMap ?? ?N???X
        com.google.android.gms.maps.GoogleMap.OnMyLocationButtonClickListener
                                             ^
    ??:????t?@?C????????^????A???`?F?b?N???????S?l??????^?????????B
    ??:???????A?A-Xlint:unchecked ?I?v?V???????w???caR???p?C?????A????????B
    ?G???[ 1 ??
    
        obj/Debug/android/src/mono/com/google/android/gms/maps/GoogleMap_OnMyLocationButtonClickListenerImplementor.java(8,40):  javacerror :  ?V???{???????????????????B
    ?V???{??: ?N???X OnMyLocationButtonClickListener
    ??    : com.google.android.gms.maps.GoogleMap ?? ?N???X
            com.google.android.gms.maps.GoogleMap.OnMyLocationButtonClickListener
    ??:????t?@?C????????^????A???`?F?b?N???????S?l??????^?????????B
    ??:???????A?A-Xlint:unchecked ?I?v?V???????w???caR???p?C?????A????????B
    ?G???[ 1 ??
    

    This errors are not cause on Google Play services (Froyo) Rev 9. I back to Rev 9, it works correctly.

    Tuesday, August 20, 2013 9:04 AM

Answers

  • User127 posted

    Hello @KOUHEIOOTSUKA this is due to you need to have Rev 10 of Google Play services Installed in your machine in order to use Google Play Services Rev 10 Component.

    GPS

    So in other words if you have Google Play Services Rev 10 you have to use

    • Froyo: https://components.xamarin.com/view/googleplayservicesfroyo10/
    • ICS: https://components.xamarin.com/view/googleplayservices10/

    if you have Google Play Services Rev 9 you have to use

    • Froyo: https://components.xamarin.com/view/googleplayservicesfroyo/
    • ICS: https://components.xamarin.com/view/googleplayservices/

    Hope this helps

    Alex

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Wednesday, August 21, 2013 10:21 PM
  • User9276 posted

    Thank you Alex, that it!

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Thursday, August 22, 2013 9:40 PM

All replies

  • User20896 posted

    Having the same issue. Where did you get Rev 9?

    Wednesday, August 21, 2013 7:47 PM
  • User127 posted

    Hello @KOUHEIOOTSUKA this is due to you need to have Rev 10 of Google Play services Installed in your machine in order to use Google Play Services Rev 10 Component.

    GPS

    So in other words if you have Google Play Services Rev 10 you have to use

    • Froyo: https://components.xamarin.com/view/googleplayservicesfroyo10/
    • ICS: https://components.xamarin.com/view/googleplayservices10/

    if you have Google Play Services Rev 9 you have to use

    • Froyo: https://components.xamarin.com/view/googleplayservicesfroyo/
    • ICS: https://components.xamarin.com/view/googleplayservices/

    Hope this helps

    Alex

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Wednesday, August 21, 2013 10:21 PM
  • User9276 posted

    Thank you Alex, that it!

    • Marked as answer by Anonymous Thursday, June 3, 2021 12:00 AM
    Thursday, August 22, 2013 9:40 PM